#!/usr/bin/env python3
from ev3dev2.sensor.lego import UltrasonicSensor
from ev3dev2.motor import MoveTank,OUTPUT_B,OUTPUT_C

us=UltrasonicSensor()
rbt=MoveTank(OUTPUT_B,OUTPUT_C)
sp=30                           # スピード(%)

rbt.on(sp,sp)                   # 前進開始
while True:
    if us.distance_centimeters < 35:
        rbt.on_for_seconds(-sp,-sp,1)   # 1秒間後退
        rbt.on_for_seconds(0,sp,0.5)    # 0.5秒間ターン
        rbt.on(sp,sp)                   # 前進開始