#!/usr/bin/env python3
from ev3dev2.sensor.lego import ColorSensor
from ev3dev2.motor import MoveTank,OUTPUT_B,OUTPUT_C

cs=ColorSensor()
th=55                        # しきい値(%)

rbt=MoveTank(OUTPUT_B,OUTPUT_C)
sp=20                        # スピード(%)

while True:
    if cs.reflected_light_intensity < th:
        rbt.on(0,sp)         # ライン上は，左カーブ開始
    else:
        rbt.on(sp,0)         # 白い部分は，右カーブ開始