#!/usr/bin/env python3
from ev3dev2.sensor.lego import ColorSensor
from ev3dev2.motor import MoveTank,OUTPUT_B,OUTPUT_C

cs=ColorSensor()
th=55                        # しきい値(%)

rbt=MoveTank(OUTPUT_B,OUTPUT_C)
sp1=10                       # スピード(%)
sp2=30

while True:
    if cs.reflected_light_intensity < th:
        rbt.on(sp1,sp2)      # ライン上は，ゆるく左カーブ開始
    else:
        rbt.on(sp2,sp1)      # 白い部分は，ゆるく右カーブ開始