#!/usr/bin/env python3
from random import uniform
from ev3dev2.motor import MoveTank,OUTPUT_B,OUTPUT_C
rbt=MoveTank(OUTPUT_B,OUTPUT_C)
sp=20            # スピード(%)
wt=0.5           # ターンする時間(秒)

while True:
    rbt.on_for_seconds(sp,sp,2)          # 2秒間前進
    if uniform(0,1) < 0.5:
        rbt.on_for_seconds(sp,-sp,wt)    # wt秒間右にターン
    else:
        rbt.on_for_seconds(-sp,sp,wt)    # wt秒間左にターン