#!/usr/bin/env python3
from ev3dev2.sensor.lego import ColorSensor
from ev3dev2.motor import MoveTank,OUTPUT_B,OUTPUT_C

cs=ColorSensor()
rbt=MoveTank(OUTPUT_B,OUTPUT_C)
sp=30                           # スピード(%)

while True:
    if cs.ambient_light_intensity > 22:
        rbt.on(sp,sp)            # 前進開始
    else:
        rbt.on(-sp,-sp)          # 後退開始