#!/usr/bin/env python3
from ev3dev2.sensor.lego import ColorSensor
from ev3dev2.motor import MoveTank,OUTPUT_B,OUTPUT_C

cs=ColorSensor()
th=55                        # しきい値(%)

rbt=MoveTank(OUTPUT_B,OUTPUT_C)
sp1=30                       # スピード(%)
sp2=15
sp3=10

s1=1                         # 最初はライン上

while True:
    if cs.reflected_light_intensity < th:
        s2=1                 # ライン上
    else:
        s2=0                 # 白い部分

    if s1==1:
        if s2==1:            # ライン上→ライン上：とてもゆるい左カーブ
            rbt.on(sp1,sp2)
        else:                # ライン上→白い部分：ゆるい右カーブ
            rbt.on(sp3,sp1)
    else:
        if s2==1:            # 白い部分→ライン上：ゆるい左カーブ
            rbt.on(sp1,sp3)
        else:                # 白い部分→白い部分：右カーブ
            rbt.on(0,sp2)

    s1 = s2;
